HP Linux Imaging and Printing

[Hardy] hp-systray applet doesn't embed itself in the GNOME notification area

Reported by Chris00 on 2008-05-19
6
Affects Status Importance Assigned to Milestone
HPLIP
Undecided
Unassigned

Bug Description

System Details:
Ubuntu 8.04 (Hardy) x86_64
GNOME 2.22.1
HP Photosmart C4150 All-in-One
hplip-2.8.5 (compiled from source tarball using instructions for Ubuntu)

Issue: When running hp-systray without options, the HP icon detaches itself from the GNOME Notification Area and stays in the upper-left corner of my desktop, underneath my gnome-panel. It cannot be moved, but otherwise works as it should (eg. right-click and select 'Hp Device Manager' launches hp-toolbox correctly). It's a little annoying that it doesn't embed itself in the notification area as it should.

Solution: I ran `hp-systray --help` and noticed that it was using the --qt3 option by default. I've had issues with other QT3 apps under Hardy, so I tried running hp-systray with the --qt4 option. Voila! It now embeds itself properly inside the notification area. Other hplip utilities aparently depend on hp-systray because they launch hp-systray automatically if it's not already running. So I checked my GNOME session preferences by running gnome-session-properties and found a pre-existing entry for hp-systray called "HP System Tray Service". Highlight that option, click Edit, and change the command to 'hp-systray --qt4'. After logging out and back in, the hp-systray applet now properly loads itself in the notification area and other hplip utilities will no longer launch it themselves (improperly).

Anyway, just thought this might help other Hardy users. But I really am lovin' this new hp-systray applet! It just let me know that my printer was low on black ink, very cool! You guys are doing a wonderful job on this HPLIP project and I am very grateful for it! Thank you for all your hard work!

-Chris

Chris00 (chris-massey) on 2008-05-19
description: updated
Pacho Ramos (pacho) wrote :

Same problem here under gentoo

  • unnamed Edit (1009 bytes, text/html; charset=ISO-8859-1)

This is an issue I haven't yet sorted out. There is a workaround:
1. Install PyQt4
2. Launch hp-systray with the --qt4 parameter ($ hp-systray --qt4)
3. Edit the .desktop file for hp-systray to use the --qt4 parameter.
-Don

On Mon, May 26, 2008 at 9:35 AM, Pacho Ramos <
<email address hidden>> wrote:

> Same problem here under gentoo
>
> --
> [Hardy] hp-systray applet doesn't embed itself in the GNOME notification
> area
> https://bugs.launchpad.net/bugs/231978
> You received this bug notification because you are a member of HP Linux
> Imaging and Printing, which is subscribed to HPLIP.
>

Pacho Ramos (pacho) wrote :

Any news on this?

Thanks

Pacho Ramos (pacho) wrote :

I am still suffering this problem even with 2.8.7, if I run it with qt3 I get the following messages in terminal:

X Error: BadValue (integer parameter out of range for operation) 2
  Major opcode: 25
  Minor opcode: 0
  Resource id: 0x0
QSettings: failed to open file '/usr/qt/3/etc/settings/qt_plugins_3.3rc'

dwelch91 (dwelch91) wrote :

You have to use the --qt4 param, not --qt3 to make it work properly. It
should work without any issues with the --qt4 param.

On Sun, Aug 31, 2008 at 7:07 AM, Pacho Ramos <
<email address hidden>> wrote:

> I am still suffering this problem even with 2.8.7, if I run it with qt3
> I get the following messages in terminal:
>
> X Error: BadValue (integer parameter out of range for operation) 2
> Major opcode: 25
> Minor opcode: 0
> Resource id: 0x0
> QSettings: failed to open file '/usr/qt/3/etc/settings/qt_plugins_3.3rc'
>
> --
> [Hardy] hp-systray applet doesn't embed itself in the GNOME notification
> area
> https://bugs.launchpad.net/bugs/231978
> You received this bug notification because you are a member of HP Linux
> Imaging and Printing, which is subscribed to HPLIP.
>

Pacho Ramos (pacho) wrote :

Yes, I know, previus comment was directed to hplip maintainer as using --qt4 for systray, even workarounding the bug, add a dependency on pyqt4

Thanks :-)

dwelch91 (dwelch91) wrote :

I think it would be better to wait and add a pyqt4 dependency when HPLIP is
fully converted over to Qt4 (in an upcoming release). Using Qt4 for
hp-systray in current HPLIP versions is a workaround only if the user has
issues (not all do).

On Mon, Sep 1, 2008 at 11:49 AM, Pacho Ramos <
<email address hidden>> wrote:

> Yes, I know, previus comment was directed to hplip maintainer as using
> --qt4 for systray, even workarounding the bug, add a dependency on pyqt4
>
> Thanks :-)
>
> --
> [Hardy] hp-systray applet doesn't embed itself in the GNOME notification
> area
> https://bugs.launchpad.net/bugs/231978
> You received this bug notification because you are a member of HP Linux
> Imaging and Printing, which is subscribed to HPLIP.
>

HPLIP will be using pyqt4 soon (in a future release) I'm setting this to fixed released, because we are currently in the process to transition the code to pyqt4.

Changed in hplip:
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments